<?php
/**
 * 审批流设置区块
 *
 * @var array $args
 */
// 如果直接访问，则退出
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div class="<?php echo esc_attr( $args['block_classes'] ); ?>" data-block-type="approval" data-block-id="<?php echo absint( $args['id'] ); ?>">
	<div class="gcforms-builder-settings-block-header">
		<div class="gcforms-builder-settings-block-actions">
			<button class="gcforms-builder-settings-block-edit"><i class="fa fa-pencil"></i></button>
			<button class="gcforms-builder-settings-block-toggle"><?php echo gc_kses_post( $args['toggle_state'] ); ?></button>
			<button class="gcforms-builder-settings-block-delete"><i class="fa fa-times-circle"></i></button>
		</div>

		<div class="gcforms-builder-settings-block-name-holder">
			<span class="gcforms-builder-settings-block-name"><?php echo esc_html( $args['name'] ); ?></span>

			<div class="gcforms-builder-settings-block-name-edit">
				<input type="text" name="settings[approvals][<?php echo absint( $args['id'] ); ?>][name]" value="<?php echo esc_attr( $args['name'] ); ?>">
			</div>
		</div>
	</div><!-- .gcforms-builder-settings-block-header -->

	<div class="gcforms-builder-settings-block-content" <?php echo gc_kses_post( $args['closed_state'] ); ?>>

		<?php echo $args['fields']; // phpcs:disable GeChiUI.Security.EscapeOutput.OutputNotEscaped ?>

	</div><!-- .gcforms-builder-settings-block-content -->

</div><!-- .gcforms-builder-settings-block -->
