<?php
/**
 * 审批配置页面
 *
 * @var array $args
 */
// E如果直接访问，则退出
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div class="gcforms-panel-content-section gcforms-panel-content-section-approvals">
	<div class="gcforms-panel-content-section-title">
		<?php esc_html_e( '审批', 'gcforms-approvals' ); ?>
		<button type="button" class="<?php echo esc_attr( $args['add_new_btn_classes'] ); ?>" data-block-type="approval" data-next-id="<?php echo absint( $args['next_id'] ); ?>"><?php esc_html_e( '创建新的审批', 'gcforms-approvals' ); ?></button>
	</div>

	<?php
		// phpcs:disable GeChiUI.Security.EscapeOutput.OutputNotEscaped
		echo $args['enable_control_html'];
		echo $args['approvals_html'];
		// phpcs:enable GeChiUI.Security.EscapeOutput.OutputNotEscaped
	?>
</div>
